Updates the job_priority object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "1a52aec0-4e7f-409c-a8ef-9e7c9a95978c",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "84307cf6-4fc3-49ba-9c7e-258bc2a21d99",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "78108370-779f-4dc9-b8c8-50be89aa8a9d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "2ee6d3b1-5fd1-4966-9d52-0eaee32a2cd6",
"db_currency_id": "f76268a9-2d85-4188-b7e9-68925016cef4",
"db_language_id": "3d468482-ab58-4faf-b40b-8e6bf965bc7f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T10:28:35.8002232+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-27T10:28:35.8002232+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.